# QCA::CertificateInfoOrdered Class Reference
[QCA user API]

Ordered certificate properties type. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::CertificateInfoOrdered:

Collaboration diagram for QCA::CertificateInfoOrdered:

[legend]

List of all members.

## Public Member Functions

CertificateInfoOrdered | dnOnly () const
QString | toString () const

## Detailed Description

Ordered certificate properties type.

This container stores the information in the same sequence as the certificate format itself.

Examples:

  ssltest.cpp.

## Member Function Documentation

CertificateInfoOrdered QCA::CertificateInfoOrdered::dnOnly | ( |  | ) | const`[inline]`

Return a new CertificateInfoOrdered that only contains the Distinguished Name (DN) types found in this object.

References QCA::orderedDNOnly().

QString QCA::CertificateInfoOrdered::toString | ( |  | ) | const`[inline]`

Convert to RFC 1779 string format.

Examples:
  ssltest.cpp.

References QCA::orderedToDNString().

The documentation for this class was generated from the following file:

- qca_cert.h